This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 104565 - CAN-2003-0694 Sendmail possible remote exploit
CAN-2003-0694 Sendmail possible remote exploit
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: sendmail (Show other bugs)
2.1
All Linux
high Severity medium
: ---
: ---
Assigned To: Florian La Roche
David Lawrence
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-09-17 05:47 EDT by Mark J. Cox (Product Security)
Modified: 2007-11-30 17:06 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-09-17 16:09:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Mark J. Cox (Product Security) 2003-09-17 05:47:53 EDT
There is a bug in the prescan() function of Sendmail versions prior to and
including 8.12.9. The sucessful exploitation of this bug can lead to heap
and stack structure overflows. Although no exploit currently exists, this
issue is locally exploitable and may also be remotely exploitable.
The Common Vulnerabilities and Exposures project (cve.mitre.org) has
assigned the name CAN-2003-0694 to this issue.

Michal Zalewski notified us of this issue Sep16 due to be public Sep23, although
it may have leaked http://hedera.linuxnews.pl/_news/2003/09/17/_long/2170.html

Keeping bug as private until we have confirmation that it is now public

RHSA-2003:284 in progress with security fix
Comment 1 Mark J. Cox (Product Security) 2003-09-17 09:20:25 EDT
http://marc.theaimsgroup.com/?l=full-disclosure&m=106380379904974
now public
Comment 2 Mark J. Cox (Product Security) 2003-09-17 16:09:02 EDT
fixed http://rhn.redhat.com/errata/RHSA-2003-280.html

Note You need to log in before you can comment on or make changes to this bug.